---
title: SVGImageElement.decoding
slug: Web/API/SVGImageElement/decoding
tags:
  - API
  - Image
  - Property
  - Reference
  - SVG
  - SVG DOM
  - SVGImageElement
  - decoding
---
<div>{{APIRef}}</div>

<p class="summary">The <strong><code>decoding</code></strong> property of the {{domxref("SVGImageElement")}} interface represents a hint given to the browser on how it should decode the image.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var refStr = SVGImageElement.decoding
SVGImageElement.decoding = refStr;</pre>

<h3 id="Values">Values</h3>

<p>A {{domxref("DOMString")}} representing the decoding hint. Possible values are:</p>

<dl>
 <dd>
 <ul>
  <li><strong><code>sync</code></strong>: Decode the image synchronously for atomic presentation with other content.</li>
  <li><strong><code>async</code></strong>: Decode the image asynchronously to reduce delay in presenting other content.</li>
  <li><strong><code>auto</code></strong>: Default mode, which indicates no preference for the decoding mode. The browser decides what is best for the user.</li>
 </ul>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js;highlight:[3]">var img = new Image();
img.decoding = 'sync';
img.src = 'img/logo.svg';
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#image-decoding-hint','decoding')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGImageElement.decoding")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Element/img">&lt;img&gt;: The Image Embed element</a></li>
</ul>

